import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader
from PySide2.QtWidgets import QWidget, QDialog

from LoggerMws.ui.add_helper.widgetTableDb import TableViewWidget


class TestFormTable(QDialog):
    def __init__(self,parent=None):
        super().__init__(parent)
        # Путь файла в файловой системе

        self.ui = self.load_ui("testDlg.ui",parent)
        self.__widget=TableViewWidget(self.ui)
        self.ui.verticalLayout.addWidget(self.__widget)
    def load_ui(self,name_resource,parent):
        loader = QUiLoader()
        path = os.path.join(os.path.dirname(__file__),name_resource)
        ui_file = QFile(path)
        ui_file.open(QFile.ReadOnly)
        ui  = loader.load(ui_file,parent)
        ui_file.close()
        return ui
    def exec_(self):
        self.__widget.initDataWidget()
        self.ui.exec_()
    