import os

import axipy
from PySide2.QtGui import QIcon
from axipy import Plugin, Position

from LoggerMws.ui.add_helper.cls_mws_logger import MwsLogger


class LogerMwsPlugin(Plugin):
    '''
    def __init__(self):
        local_file_icon = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'ui/icons', 'autosave.png')
        self._title = self.tr("Журнал изменений Mws")
        self._action = self.create_action(
            self._title,
            icon= local_file_icon,
            on_click=self.__show_control,
        )
        position = Position('Дополнительно', 'Команды')
        position.add(self._action)
        self.__main_cls= MwsLogger(axipy.mainwindow.qt_object())
        print("End Init")
    '''
    def load(self) -> None:
        self.__local_file_icon_stop = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'ui/icons', 'autosave_stop.png')
        self.__local_file_icon_start = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'ui/icons','autosave.png')
        self.__iconStop=QIcon(self.__local_file_icon_stop)
        self.__iconStart = QIcon(self.__local_file_icon_start)
        self._title = self.tr("Журнал изменений Mws")
        self._action = self.create_action(
            self._title,
            icon=self.__local_file_icon_stop,
            on_click=self.__show_control,
        )
        position = Position('Дополнительно', 'Команды')
        position.add(self._action)
        self.__main_cls = MwsLogger(axipy.mainwindow.qt_object())
        #print("End Init")
    def __show_control(self):
        #print("View control")
        if self.__main_cls is not None:
            self.__main_cls.show()
            status_logger=self.__main_cls.IsStart
            if status_logger:
                self._action.action.setIcon(self.__iconStart)
            else:
                self._action.action.setIcon(self.__iconStop)

    def unload(self) -> None:
        self._action.remove()