import axipy
from PySide2.QtCore import QObject, Signal, QSignalMapper
import time
from datetime import datetime
class TimerTask(QObject):
    signal_alarm=Signal()
    name_task="TimerAlarm"
    def __init__(self,interval_sec):
        super().__init__()
        self.isFinish=True
        self.__interval=interval_sec
        axipy.task_manager.removed.connect(self.__remove_task)
        jkl=0
    def startProc(self,args):
        self.isFinish=False
        self.isEnd=False
        while not self.isEnd :
            if self.__interval<=0:
                break
            time.sleep(self.__interval)
            print("set signal")
            self.signal_alarm.emit()
        print("End While")
        self.isFinish=True
    def __remove_task(self,task_remove):
        jkl=0

'''
class ActionsAxySignal(QObject):
    signal_action=Signal(str)
    def __init__(self,names_action):
        super().__init__()
        self.__names_action=names_action
        self.__initAction()
    def __initAction(self):
        self.__actions={}
        self.__mapper = QSignalMapper()
        self.__mapper.mapped[str].connect(self.__handler_action)
        for name in self.__names_action:
            action=axipy.action_manager.get(name)
            action_name=action.objectName()
            action.triggered.connect(self.__mapper.map)
            self.__mapper.setMapping(action, name)
            self.__actions[name]=action

    def __handler_action(self,name_action):
        print(name_action)
'''
def fnc_open_mws():



    path_mws = axipy.CurrentSettings.LastPathWorkspace

    return str(path_mws)
def fnc_open_file():
    path_open=str(axipy.CurrentSettings.LastOpenPath)
    last_filter=axipy.CurrentSettings.LastNameFilter
    return path_open+"*."+last_filter

class ActionsAxySignal(QObject):
    extrenal_action=Signal(str,str)
    def __init__(self,names_action,parent=None):
        super().__init__(parent)
        self.__names_action=names_action
        self.__initAction()
    def __initAction(self):
        self.__actions={}
        self.__mapper = QSignalMapper()
        self.__mapper.mapped[str].connect(self.__handler_action)
        for name in list(self.__names_action.keys()):
            action=axipy.action_manager.get(name)
            action_name=action.objectName()
            action.triggered.connect(self.__mapper.map)
            self.__mapper.setMapping(action, name)
            self.__actions[name]=action

    def __handler_action(self,name_action):
        print(name_action)
        fnc=self.__names_action[name_action]
        add_info=None
        if fnc is not None:
            add_info=fnc()
        self.extrenal_action.emit(name_action,add_info)
